package de.hft.stuttgart.citydoctor2.webservice.model.entities;

import javax.persistence.Access;
import javax.persistence.AccessType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Entity
@Table(name = "feature_validation_status")
public class FeatureValidationStatus {
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Access(AccessType.PROPERTY)
	private int id;
	
	@JoinColumn(name = "feature_id")
	@NotNull
	@ManyToOne
	private WebBuilding feature;
	
	@JoinColumn(name = "validation_id")
	@NotNull
	@ManyToOne
	private Validation validation;
	
	@Column(name = "has_error")
	private boolean hasError;
	
	@Column(name = "was_validated")
	private boolean wasValidated; 

	public WebBuilding getFeature() {
		return feature;
	}

	public void setFeature(WebBuilding feature) {
		this.feature = feature;
	}

	public Validation getValidation() {
		return validation;
	}

	public void setValidation(Validation validation) {
		this.validation = validation;
	}

	public boolean isHasError() {
		return hasError;
	}

	public void setHasError(boolean hasError) {
		this.hasError = hasError;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public boolean isWasValidated() {
		return wasValidated;
	}

	public void setWasValidated(boolean wasValidated) {
		this.wasValidated = wasValidated;
	}

}
